_, class = UnitClass("player")
if class == "MAGE" then
local oldmana = 0

function MageCandy_ManaBarUpdate()
local text = ""
local mana, manamax = UnitMana("player"), UnitManaMax("player")
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.manabarnumber == 1 then
text = text..MageCandy_CondenseNumber(mana).." "
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.manabarpercent == 1 then
text = text.."("..MageCandy_ShortNumber(mana/manamax).."%) "
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.manabarmax == 1 then
text = text.."/ "..MageCandy_CondenseNumber(manamax)
else
text = string.sub(text, 1, string.len(text) - 1)
end
MCManaBar:SetMinMaxValues(0, manamax)
MCManaBar:SetValue(mana)
MCManaBarText:SetText(text)
if oldmana > (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax) and mana <= (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax) then
MCmanabarflash = true
CombatText_AddMessage(MageCandyLocal["LOW_MANA"], CombatText_StandardScroll, 0, 0.7, 1, nil, nil)
elseif oldmana <= (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax) and mana > (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax) then
MCmanabarflash = false
end
oldmana = mana
if mana > (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax) then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell ~= nil then
local name, rank, icon, cost, isfunnel, powertype, casttime, minrange, maxrange = GetSpellInfo(MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell)
if tonumber(cost) == nil then cost = 0 end
local num = floor(((mana - (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01 * manamax)) / cost))
MageCandy_ManaBarExtrasUpdate(num, icon)
end
elseif MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell ~= nil then
MageCandy_ManaBarExtrasUpdate(0)
end
end

function MageCandy_ManaBarExtrasUpdate(num, icon)
if num > 8 then num = 8 end
for idx = 1, 8 do
_G["MCManaBarExtrasSpell"..idx]:Hide()
end
if num > 0 then
for idx = 1, num do
local frame = _G["MCManaBarExtrasSpell"..idx]
local frameicon = _G["MCManaBarExtrasSpell"..idx.."Icon"]

frame:ClearAllPoints()

if idx == 1 then
frame:SetPoint("CENTER", MCManaBarExtras, "CENTER", -1 * ((num - 1)/2 * (frame:GetWidth() + 4)), 0)
else
frame:SetPoint("LEFT", _G["MCManaBarExtrasSpell"..idx - 1], "RIGHT", 4, 0)
end
frameicon:SetTexture(icon)
frame:Show()
end
end
end


function MageCandy_HealthBarUpdate()
local text = ""
local health, healthmax = UnitHealth("player"), UnitHealthMax("player")
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.healthbarnumber == 1 then
text = text..MageCandy_CondenseNumber(health).." "
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.healthbarpercent == 1 then
text = text.."("..MageCandy_ShortNumber(health/healthmax).."%) "
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.healthbarmax == 1 then
text = text.."/ "..MageCandy_CondenseNumber(healthmax)
else
text = string.sub(text, 1, string.len(text) - 1)
end
MCHealthBar:SetMinMaxValues(0, healthmax)
MCHealthBar:SetValue(health)
MCHealthBarText:SetText(text)
end

function MageCandy_ManaBarMarkersUpdate()
MCManaBarReserve:ClearAllPoints()
MCManaBarMarker1:ClearAllPoints()
MCManaBarMarker2:ClearAllPoints()
MCManaBarMarker3:ClearAllPoints()
MCManaBarReserve:SetHeight(MCManaBar:GetHeight())
MCManaBarMarker1:SetHeight(MCManaBar:GetHeight())
MCManaBarMarker2:SetHeight(MCManaBar:GetHeight())
MCManaBarMarker3:SetHeight(MCManaBar:GetHeight())
MCManaBarReserve:SetPoint("CENTER", MCManaBar, "LEFT", MCManaBar:GetWidth() * (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarreserve * 0.01), 0)
MCManaBarMarker1:SetPoint("CENTER", MCManaBar, "LEFT", MCManaBar:GetWidth() * (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarmarker1 * 0.01), 0)
MCManaBarMarker2:SetPoint("CENTER", MCManaBar, "LEFT", MCManaBar:GetWidth() * (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarmarker2 * 0.01), 0)
MCManaBarMarker3:SetPoint("CENTER", MCManaBar, "LEFT", MCManaBar:GetWidth() * (MageCandy_Profiles[MageCandy_ActiveProfile].options.input.mcmanabarmarker3 * 0.01), 0)
end

function MageCandy_SetManaBarPoints()
MCManaBarBackground:ClearAllPoints()
MCManaBarBackground:SetWidth(MCManaBar:GetWidth())
MCManaBarBackground:SetHeight(MCManaBar:GetHeight())
MCManaBarBackground:SetPoint("CENTER")
MCManaBarBG:ClearAllPoints()
MCManaBarBG:SetWidth(MCManaBar:GetWidth() + 5)
MCManaBarBG:SetHeight(MCManaBar:GetHeight() + 5)
MCManaBarBG:SetPoint("CENTER", MCManaBar, "CENTER")
MCHealthBarBackground:ClearAllPoints()
MCHealthBarBackground:SetWidth(MCHealthBar:GetWidth())
MCHealthBarBackground:SetHeight(MCHealthBar:GetHeight())
MCHealthBarBackground:SetPoint("CENTER")
MCHealthBarBG:ClearAllPoints()
MCHealthBarBG:SetWidth(MCHealthBar:GetWidth() + 5)
MCHealthBarBG:SetHeight(MCHealthBar:GetHeight() + 5)
MCHealthBarBG:SetPoint("CENTER", MCHealthBar, "CENTER")
MCManaBarExtras:SetWidth(MCManaBar:GetWidth() + 5)
MCManaBarExtrasBackground:SetWidth(MCManaBarExtras:GetWidth() - 5)
MCManaBarExtrasBackground:SetHeight(MCManaBarExtras:GetHeight() - 5)
for idx = 1, 8 do
_G["MCManaBarExtrasSpell"..idx]:SetHeight(MCManaBarExtras:GetHeight() - 9)
_G["MCManaBarExtrasSpell"..idx]:SetWidth(MCManaBarExtras:GetHeight() - 9)
end
MageCandy_ManaBarMarkersUpdate()
end





end